umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Uml::CmdBaseObjectCommand Class Reference

`#include <cmdbaseobjectcommand.h>`

Inheritance diagram for Uml::CmdBaseObjectCommand:

## Public Member Functions
| CmdBaseObjectCommand (UMLObject *object)
virtual | ~CmdBaseObjectCommand ()

## Protected Member Functions
void | setObject (UMLObject *object)
UMLObject * | object ()

## Protected Attributes
Uml::ID::Type | m_objectId
QPointer< UMLObject > | m_object

## Constructor & Destructor Documentation

## ◆ CmdBaseObjectCommand()

Uml::CmdBaseObjectCommand::CmdBaseObjectCommand | ( | UMLObject * | object | ) |
| explicit

## ◆ ~CmdBaseObjectCommand()

Uml::CmdBaseObjectCommand::~CmdBaseObjectCommand | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ object()

UMLObject * Uml::CmdBaseObjectCommand::object | ( |  | ) |
| protected

## ◆ setObject()

void Uml::CmdBaseObjectCommand::setObject | ( | UMLObject * | object | ) |
| protected

## Member Data Documentation

## ◆ m_object

QPointer<UMLObject> Uml::CmdBaseObjectCommand::m_object
| protected

## ◆ m_objectId

Uml::ID::Type Uml::CmdBaseObjectCommand::m_objectId
| protected

The documentation for this class was generated from the following files:

- umbrello/cmds/cmdbaseobjectcommand.h
- umbrello/cmds/cmdbaseobjectcommand.cpp